System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.FormsAuthenticationUser), AddItemName="user", CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMap)

The uses the to programmatically access and modify the users element of the credentials section in the forms section of the authorization configuration section.

This type is part of a group that includes the , the , and the types.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not contain a object with the same name.

  Adds a object to the collection.

  The object to add to the collection. 2.0.0.0
- Property
  System.String[] To be added.

  You can use this method to access the objects contained in the collection.

  Gets all the collection's keys.

  2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Property
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the type of the .

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Configuration.FormsAuthenticationUser `` To be added.

  Gets the collection element at the specified index.

  A that contains the user name and password.

  The collection user's index. 2.0.0.0
- Method
  System.Web.Configuration.FormsAuthenticationUser `` To be added.

  Gets the collection element with the specified name.

  A object that contains the user name and password.

  The user's name. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the key at the specified collection index.

  The key at the specified index of the .

  The index in the collection. 2.0.0.0
- Property
  System.Web.Configuration.FormsAuthenticationUser `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.FormsAuthenticationUser `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The name of the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object at the specified index from the collection.

  The index of the object to remove from the collection. 2.0.0.0
- Method
  System.Void `` To be added.

  Modifies the specified object contained in the collection.

  The object that must be changed. 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 2.0.0.0